/***************************************************************/
/***************BANNER 1920X420 ANIMATIONS**********************/
/***************************************************************/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Roboto:wght@900&display=swap');

@keyframes scale-title {
    0% { transform: scale(0); opacity: 1;  }
    10% { transform: scale(1.4); opacity: 1;  }
    20% { transform: scale(1.2); opacity: 1;  }
    80% { transform: scale(1.2); opacity: 1;  }
    100% { transform: scale(3); opacity: 0; }
}
@keyframes scale-title-img {
    from { transform: scale(0); opacity: 0;  }
    50% { transform: scale(1.1); opacity: 1;  }
    to { transform: scale(.9); opacity: 1;  }
}
@keyframes float {
    from { transform: translate(0,  0px) scale(.9); opacity: 1; }
    65%  { transform: translate(0, 2%) scale(.9); opacity: 1; }
    to   { transform: translate(0, -0px) scale(.9); opacity: 1; }
}
@keyframes fade-in {
    from { opacity: 0;  }
    to { opacity: 1;  }
}
/***************************************************************/

* {
    margin: 0;
    padding: 0;
}
body {
    overflow: hidden;
    user-select: none;
}
.text3d {
    color: rgb(255, 255, 255);
    font-family: 'Montserrat';
    text-shadow: 1px 1px 1px #002d4a,
        1px 2px 1px #002d4a,
        1px 3px 1px #002d4a,
        1px 4px 1px #002d4a,
        1px 5px 1px #002d4a,
        1px 6px 1px #002d4a,
        1px 7px 1px #002d4a,
        1px 8px 1px #002d4a,
        1px 9px 1px #002d4a,
        1px 10px 1px #002d4a,
    1px 18px 6px rgba(16,16,16,0.4),
    1px 22px 10px rgba(16,16,16,0.2),
    1px 25px 35px rgba(16,16,16,0.2),
    1px 30px 60px rgba(16,16,16,0.4);
}
#banner {
    width: 100%;
    height: calc((100vw * 420) / 1920);
    position: relative;
    background-image: url("../../imgs/banner_slot_1920x420/background.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
}
#player-container {
    width: 100%;
    height: 100%;
}
.banner-promo-text > .promo-img {
    display: none;
}
.banner-promo-text > .promo-text-complete {
    display: none;
}
.banner-promo-img > .promo-text {
    display: none;
}
.banner-promo-img > .promo-text-complete {
    display: none;
}
.banner-promo-text-complete > .promo-text {
    display: none;
}
.banner-promo-text-complete > .promo-img {
    display: none;
}
.invisible {
    display: none !important;
}
.text-msg {
    width: 30%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 10%;
    z-index: 9999;
    opacity: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.text-msg-img {
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
.text-msg-imgText {
    background-image: url("../../imgs/banner_slot_1920x420/text_msg.png");
}
.text-msg-imgText.animate {
    animation-name: scale-title;
    animation-duration: 3s;
    animation-delay: 2.1s;
    animation-fill-mode: forwards;
}
.text-msg-slotLogo {
    background-image: url("../../imgs/banner_slot_1920x420/slot_logo.png");
}
.text-msg-slotLogo.animate {
    animation: 
        float 2s 5.2s ease-in-out infinite,
        scale-title-img .7s 4.5s;
}
.text-msg-font {
    color: white;
    font-size: 4vw;
    font-weight: bolder;
    text-align: center;
    line-height: 4vw;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
.text-msg-font.animate {
    animation-name: scale-title;
    animation-duration: 3s;
    animation-delay: 2.1s;
    animation-fill-mode: forwards;
}
.promo-msg {
    width: 30%;
    height: 80%;
    position: absolute;
    top: 0;
    left: 24%;
    z-index: 9999;
    transform: scale(0);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.promo-msg.animate {
    animation: scale-title-img 1s 4.5s forwards
}
.promo-msg-img { 
    background-image: url("../../imgs/banner_slot_1920x420/text_msg.png");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
.subtitle {
    opacity: 0;
    font-size: 1.5vw;
    line-height: 4vw;
    color: #fede3f;
    animation: fade-in 1.5s 2.5s forwards;
}